APIReferenceGroups
Get a group
GET
/groups/{external_id}Every device with this external_id, oldest first, and their usage this month together.
Needs the devices:read scope.
Authorization
apiKey AuthorizationBearer <token>
An API key: tp_….
In: header
Path Parameters
external_id*string
The external_id the devices share, URL-encoded.
Length
length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/groups/string"{ "external_id": "string", "device_count": 0, "month_usage": { "rx_bytes": 0, "tx_bytes": 0, "total_bytes": 0 }, "devices": [ { "id": 0, "server_id": 0, "name": "string", "external_id": "string", "metadata": {}, "address": "10.8.0.2", "public_key": "string", "client_key": true, "enabled": true, "status": "active", "online": true, "last_handshake": "2019-08-24T14:15:22Z", "data_limit": 0, "limit_period": "monthly", "period_usage": { "rx_bytes": 0, "tx_bytes": 0, "total_bytes": 0 }, "usage_reset_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "speed_limit": 0, "month_usage": { "rx_bytes": 0, "tx_bytes": 0, "total_bytes": 0 }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "config": "string" } ]}